Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class ShapeTypes

    java.lang.Object
      org.apache.poi.hslf.model.ShapeTypes

All Implemented Interfaces:
  ShapeTypes

    public final class ShapeTypes

extends java.lang.Object
implements ShapeTypes

Contains all known shape types in PowerPoint

Author:
  Yegor Kozlov

Field Summary
`static java.util.HashMap` | `types`

Fields inherited from interface org.apache.poi.sl.usermodel.ShapeTypes
`AccentBorderCallout1, AccentBorderCallout2, AccentBorderCallout3, AccentBorderCallout90, AccentCallout1, AccentCallout2, AccentCallout3, AccentCallout90, ActionButtonBackPrevious, ActionButtonBeginning, ActionButtonBlank, ActionButtonDocument, ActionButtonEnd, ActionButtonForwardNext, ActionButtonHelp, ActionButtonHome, ActionButtonInformation, ActionButtonMovie, ActionButtonReturn, ActionButtonSound, Arc, Arrow, Balloon, BentArrow, BentConnector2, BentConnector3, BentConnector4, BentConnector5, BentUpArrow, Bevel, BlockArc, BorderCallout1, BorderCallout2, BorderCallout3, BorderCallout90, BracePair, BracketPair, Callout1, Callout2, Callout3, Callout90, Can, Chevron, CircularArrow, CloudCallout, Cube, CurvedConnector2, CurvedConnector3, CurvedConnector4, CurvedConnector5, CurvedDownArrow, CurvedLeftArrow, CurvedRightArrow, CurvedUpArrow, Diamond, Donut, DoubleWave, DownArrow, DownArrowCallout, Ellipse, EllipseRibbon, EllipseRibbon2, FlowChartAlternateProcess, FlowChartCollate, FlowChartConnector, FlowChartDecision, FlowChartDelay, FlowChartDisplay, FlowChartDocument, FlowChartExtract, FlowChartInputOutput, FlowChartInternalStorage, FlowChartMagneticDisk, FlowChartMagneticDrum, FlowChartMagneticTape, FlowChartManualInput, FlowChartManualOperation, FlowChartMerge, FlowChartMultidocument, FlowChartOfflineStorage, FlowChartOffpageConnector, FlowChartOnlineStorage, FlowChartOr, FlowChartPredefinedProcess, FlowChartPreparation, FlowChartProcess, FlowChartPunchedCard, FlowChartPunchedTape, FlowChartSort, FlowChartSummingJunction, FlowChartTerminator, FoldedCorner, Heart, Hexagon, HomePlate, HorizontalScroll, HostControl, IrregularSeal1, IrregularSeal2, IsocelesTriangle, LeftArrow, LeftArrowCallout, LeftBrace, LeftBracket, LeftRightArrow, LeftRightArrowCallout, LeftRightUpArrow, LeftUpArrow, LightningBolt, Line, Moon, NoSmoking, NotchedCircularArrow, NotchedRightArrow, NotPrimitive, Octagon, Parallelogram, Pentagon, PictureFrame, Plaque, Plus, QuadArrow, QuadArrowCallout, Rectangle, Ribbon, Ribbon2, RightArrowCallout, RightBrace, RightBracket, RightTriangle, RoundRectangle, Seal, SmileyFace, Star, Star16, Star24, Star32, Star4, Star8, StraightConnector1, StripedRightArrow, Sun, TextArchDownCurve, TextArchDownPour, TextArchUpCurve, TextArchUpPour, TextBox, TextButtonCurve, TextButtonPour, TextCanDown, TextCanUp, TextCascadeDown, TextCascadeUp, TextChevron, TextChevronInverted, TextCircleCurve, TextCirclePour, TextCurve, TextCurveDown, TextCurveUp, TextDeflate, TextDeflateBottom, TextDeflateInflate, TextDeflateInflateDeflate, TextDeflateTop, TextFadeDown, TextFadeLeft, TextFadeRight, TextFadeUp, TextHexagon, TextInflate, TextInflateBottom, TextInflateTop, TextOctagon, TextOnCurve, TextOnRing, TextPlainText, TextRing, TextRingInside, TextRingOutside, TextSimple, TextSlantDown, TextSlantUp, TextStop, TextTriangle, TextTriangleInverted, TextWave, TextWave1, TextWave2, TextWave3, TextWave4, ThickArrow, Trapezoid, UpArrow, UpArrowCallout, UpDownArrow, UpDownArrowCallout, UturnArrow, VerticalScroll, Wave, WedgeEllipseCallout, WedgeRectCallout, WedgeRRectCallout`

Constructor Summary
`ShapeTypes()`

Method Summary
`static java.lang.String` | `typeName(int type)` Return name of the shape by id

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### types

    public static java.util.HashMap types

Constructor Detail

### ShapeTypes

    public ShapeTypes()

Method Detail

### typeName

    public static java.lang.String typeName(int type)

  Return name of the shape by id

  Parameters:
    `type` - - the id of the shape, one of the static constants defined in this class
  Returns:
    the name of the shape

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD